Entity
Update a business entity
Update an existing business entity.
Managing Associated Persons
Beneficial owners and control persons are now managed through the Associated Persons endpoints. This endpoint updates only the core business details.
Path Parameters
entity_id
stringRequiredUnique identifier for the entity.
Body Parameters
account_usage
array of stringsOptionalIndicates possible uses of the accounts an entity may use at Column. Only required for a root entity.
address
objectOptionalAddresses need to adhere to character validation, as addresses are used across multiple payment rails. Characters are validated according to the Fedwire character validation.
city
stringRequiredCity name
country_code
stringRequiredTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringRequiredStreet address line 1
line_2
stringOptionalStreet address line 2
postal_code
stringOptionalPostal or ZIP code
state
stringOptionalState or province
beneficial_owners
arrayOptionalA list of all the persons who have ultimate control over funds in the business, whether through ownership or other means. This is anyone who owns 25% or more of the business and those who control the funds. If no one owns more than 25% of the business, just the individual who has ultimate control of the funds must be included.
business_name
stringOptionalLegal Business Name
countries_of_operation
array of stringsOptionalCountries in which the business currently operates or expects to operate. Only ISO 3166-1 Alpha-2 Country Codes (e.g., US, FR, UK, DE, ... ) are allowed. Only required for a root entity.
country_of_incorporation
stringOptionalCountry in which the business is incorporated. ISO 3166-1 Alpha-2 Country Code.
date_of_incorporation
stringOptionalDate on which the business was incorporated. Format: YYYY-MM-DD.
dba_name
stringOptionalDoing Business As name, if different from the legal business name.
description
stringOptionalDescription of the business entity. Only required for a root entity.
ein
stringOptionalEmployer Identification Number (Tax ID). This may be SSN for a sole proprietorship.
end_customer_type
stringOptionalType of end customer the business serves.
expected_payment_rails
stringOptionalExpected transaction types for the account.
expected_use_of_funds
stringOptionalExpected use of funds for the business accounts.
has_virtual_address
booleanOptionalIndicates whether the business uses a virtual address.
industry
stringOptionalIndustry in which the business entity operates.
is_high_risk
booleanOptionalIndicates whether the entity has been identified as high risk based on compliance screening
legal_type
stringOptionalType of business. Permitted values are limited-partnership, trust, sole-proprietorship, corporation, llc, general-partnership, professional-association, government, non-profit, other, pic-piv, spv, irrevocable_trust, revocable_trust.
makes_international_payments
booleanOptionalIndicates whether the business expects to make international payments.
payment_volumes
stringOptionalExpected payment volumes. Only required for a root entity.
purpose_of_account
stringOptionalIntended use of the account.
registration_id
objectOptionalRegistration ID. EIN or Registration ID is required.
country_code
stringOptionalTwo-letter ISO 3166-1 alpha-2 country code of the issuing country
number
stringOptionalRegistration or identification number (alphanumeric, up to 32 characters)
source_of_funds
stringOptionalPrimary source of funds for the business.
state_of_incorporation
stringOptionalState in which the business is incorporated. Only postal abbreviations (e.g. AL, CA, DE, ...) are allowed. Only required for a root entity.
website
stringOptionalWebsite of the business. Optional, but highly encouraged as it will increase likelihood of an automated verification.
year_of_incorporation
stringOptionalYear in which the business entity was incorporated. Only required for a root entity.